> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Distribution List

> 🔍 Filtering

You can filter by the following fields:

-   `id`
-   `name`
-   `cname`
-   `domain`
-   `status`
-   `domain_type`
-   `cache_strategy`
-   `organization_id`
-   `certificate_id`
-   `enable_ssl`
-   `is_redirect_http_to_https`
-   `is_http2`
-   `is_http3`
-   `is_cname_valid`
-   `is_acme_challenge_valid`
-   `le_issue`
-   `created_at`
-   `updated_at`

Operators

  Operator        Description
  --------------- ------------------------------------------
  `eq`            Equals
  `ne`            Not equals
  `like`          Contains (case insensitive)
  `not-like`      Does not contain
  `starts-with`   Starts with
  `ends-with`     Ends with
  `gt`            Greater than
  `gte`           Greater than or equal
  `lt`            Less than
  `lte`           Less than or equal
  `in`            In list (comma-separated)
  `not-in`        Not in list
  `null`          Is null
  `not-null`      Is not null
  `between`       Between two values (comma-separated)
  `not-between`   Not between two values (comma-separated)

Example Filters

    filter[name][starts-with]=cdn-
    filter[status][in]=active,disabled
    filter[enable_ssl][eq]=true
    filter[created_at][between]=2025-01-01,2025-08-01

------------------------------------------------------------------------

Sorting

  ---------------------------------------------------------------------------
  Parameter   Description
  ----------- ---------------------------------------------------------------
  `sort`      Sort fields. Prefix with `-` for descending. Allowed:
              `created_at`, `updated_at`, `name`, `status`, `domain_type`,
              `cache_strategy`, `domain`, `cname`

  ---------------------------------------------------------------------------

Example Sorts

    sort=-created_at
    sort=name
    sort=-created_at,name

------------------------------------------------------------------------

📌 Example Requests

1. Prefix search + newest first

    GET /v1/distributions?filter[name][starts-with]=cdn-&sort=-created_at

2. Status + type + alphabetical

    GET /v1/distributions?filter[status][in]=active,disabled&filter[domain_type][eq]=system&sort=name

3. Created date range

    GET /v1/distributions?filter[created_at][between]=2025-01-01,2025-08-01&sort=-created_at

4. SSL-only

    GET /v1/distributions?filter[enable_ssl][eq]=true

------------------------------------------------------------------------

✅ Success Response

    Status: 200 OK
    {
      "success": true,
      "count": 2,
      "data": [
        {
          "id": "uuid",
          "name": "cdn-example",
          "status": "active",
          "domain_type": "system",
          "enable_ssl": true,
          "created_at": "2025-02-01T12:00:00Z",
          "updated_at": "2025-02-10T12:00:00Z"
        }
      ]
    }

------------------------------------------------------------------------

❌ Error Response

    Status: 400 Bad Request
    {
      "success": false,
      "message": "Invalid filter query",
      "errors": {
        "filter": "Unsupported field or operator"
      }
    }




## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cdn-openapi.json get /distributions
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1
    description: Production server
security:
  - apikey-header-X-API-Key: []
tags:
  - name: Distributions
  - name: SSL Certificate Manage
  - name: Origins/Upstreams Manage
  - name: Purge
  - name: Prefetch
  - name: Cache Rules
  - name: Access Rules
  - name: Analytics
  - name: Http Headers
  - name: Verifications
  - name: IP Addresses List
paths:
  /distributions:
    get:
      tags:
        - Distributions
      summary: Get Distribution List
      description: |
        🔍 Filtering

        You can filter by the following fields:

        -   `id`
        -   `name`
        -   `cname`
        -   `domain`
        -   `status`
        -   `domain_type`
        -   `cache_strategy`
        -   `organization_id`
        -   `certificate_id`
        -   `enable_ssl`
        -   `is_redirect_http_to_https`
        -   `is_http2`
        -   `is_http3`
        -   `is_cname_valid`
        -   `is_acme_challenge_valid`
        -   `le_issue`
        -   `created_at`
        -   `updated_at`

        Operators

          Operator        Description
          --------------- ------------------------------------------
          `eq`            Equals
          `ne`            Not equals
          `like`          Contains (case insensitive)
          `not-like`      Does not contain
          `starts-with`   Starts with
          `ends-with`     Ends with
          `gt`            Greater than
          `gte`           Greater than or equal
          `lt`            Less than
          `lte`           Less than or equal
          `in`            In list (comma-separated)
          `not-in`        Not in list
          `null`          Is null
          `not-null`      Is not null
          `between`       Between two values (comma-separated)
          `not-between`   Not between two values (comma-separated)

        Example Filters

            filter[name][starts-with]=cdn-
            filter[status][in]=active,disabled
            filter[enable_ssl][eq]=true
            filter[created_at][between]=2025-01-01,2025-08-01

        ------------------------------------------------------------------------

        Sorting

          ---------------------------------------------------------------------------
          Parameter   Description
          ----------- ---------------------------------------------------------------
          `sort`      Sort fields. Prefix with `-` for descending. Allowed:
                      `created_at`, `updated_at`, `name`, `status`, `domain_type`,
                      `cache_strategy`, `domain`, `cname`

          ---------------------------------------------------------------------------

        Example Sorts

            sort=-created_at
            sort=name
            sort=-created_at,name

        ------------------------------------------------------------------------

        📌 Example Requests

        1. Prefix search + newest first

            GET /v1/distributions?filter[name][starts-with]=cdn-&sort=-created_at

        2. Status + type + alphabetical

            GET /v1/distributions?filter[status][in]=active,disabled&filter[domain_type][eq]=system&sort=name

        3. Created date range

            GET /v1/distributions?filter[created_at][between]=2025-01-01,2025-08-01&sort=-created_at

        4. SSL-only

            GET /v1/distributions?filter[enable_ssl][eq]=true

        ------------------------------------------------------------------------

        ✅ Success Response

            Status: 200 OK
            {
              "success": true,
              "count": 2,
              "data": [
                {
                  "id": "uuid",
                  "name": "cdn-example",
                  "status": "active",
                  "domain_type": "system",
                  "enable_ssl": true,
                  "created_at": "2025-02-01T12:00:00Z",
                  "updated_at": "2025-02-10T12:00:00Z"
                }
              ]
            }

        ------------------------------------------------------------------------

        ❌ Error Response

            Status: 400 Bad Request
            {
              "success": false,
              "message": "Invalid filter query",
              "errors": {
                "filter": "Unsupported field or operator"
              }
            }
      parameters:
        - name: page
          in: query
          description: ''
          required: false
          example: '1'
          schema:
            type: string
        - name: limit
          in: query
          description: ''
          required: false
          example: '10'
          schema:
            type: string
        - name: filter[type][ne]
          in: query
          description: ''
          required: false
          example: library
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        created_at:
                          type: string
                        description:
                          type: string
                        updated_at:
                          type: string
                        domain_type:
                          type: string
                        name:
                          type: string
                        cname:
                          type: string
                        domain:
                          type: string
                        status:
                          type: string
                        cache_strategy:
                          type: string
                        organization_id:
                          type: string
                        id:
                          type: string
                        is_acme_challenge_valid:
                          type: boolean
                        enable_ssl:
                          type: boolean
                        le_issue:
                          type: boolean
                        is_redirect_http_to_https:
                          type: boolean
                        is_http2:
                          type: boolean
                        is_cname_valid:
                          type: boolean
                        is_http3:
                          type: boolean
                      required:
                        - created_at
                        - description
                        - updated_at
                        - domain_type
                        - name
                        - cname
                        - domain
                        - status
                        - cache_strategy
                        - organization_id
                        - id
                        - is_acme_challenge_valid
                        - enable_ssl
                        - le_issue
                        - is_redirect_http_to_https
                        - is_http2
                        - is_cname_valid
                        - is_http3
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          next:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - next
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - created_at: '2025-08-18T06:04:15Z'
                    description: Seeded distribution 94399
                    updated_at: '2025-08-18T06:04:45Z'
                    domain_type: managed
                    name: 'Distribution #94399'
                    cname: smartroute.tenbytecdn.com
                    domain: tb-uhlpi0becq.tenbytecdn.com
                    status: active
                    cache_strategy: dynamic
                    organization_id: dd48af2e-7eb5-46c6-b12d-82001e35a574
                    id: 000075b4-36ef-47da-9443-7d5742bc7a95
                    is_acme_challenge_valid: true
                    enable_ssl: true
                    le_issue: true
                    is_redirect_http_to_https: true
                    is_http2: true
                    is_cname_valid: false
                    is_http3: true
                  - created_at: '2025-08-18T06:04:15Z'
                    description: Seeded distribution 8999
                    updated_at: '2025-08-18T06:04:18Z'
                    domain_type: managed
                    name: 'Distribution #8999'
                    cname: smartroute.tenbytecdn.com
                    domain: tb-dkmbyy0d8d.tenbytecdn.com
                    status: provisioning
                    cache_strategy: custom
                    organization_id: 7cbdca03-5950-458b-9a97-005691cd64b4
                    id: 00011542-0b0e-4bf9-a369-8c1baeba8e32
                    is_acme_challenge_valid: false
                    enable_ssl: true
                    le_issue: true
                    is_redirect_http_to_https: true
                    is_http2: true
                    is_cname_valid: true
                    is_http3: true
                  - created_at: '2025-08-18T06:04:15Z'
                    description: Seeded distribution 9849
                    updated_at: '2025-08-18T06:04:18Z'
                    domain_type: custom
                    name: 'Distribution #9849'
                    cname: smartroute.tenbytecdn.com
                    domain: tb-hwdcfpsz3m.tenbytecdn.com
                    status: disabled
                    cache_strategy: live
                    organization_id: 66dfacfe-e0c7-4c62-b0d0-a853341df6ee
                    id: 0001559a-6255-4731-81f2-90e386026824
                    is_acme_challenge_valid: true
                    enable_ssl: true
                    le_issue: true
                    is_redirect_http_to_https: true
                    is_http2: true
                    is_cname_valid: true
                    is_http3: true
                  - created_at: '2025-08-18T06:04:15Z'
                    description: Seeded distribution 81829
                    updated_at: '2025-08-18T06:04:41Z'
                    domain_type: managed
                    name: 'Distribution #81829'
                    cname: smartroute.tenbytecdn.com
                    domain: tb-pm38xm08f8.tenbytecdn.com
                    status: active
                    cache_strategy: custom
                    organization_id: 18498b73-a1db-481c-8c23-262166b3a96d
                    id: 00016131-549e-4235-b325-d17a0e11f0c4
                    is_acme_challenge_valid: true
                    enable_ssl: true
                    le_issue: false
                    is_redirect_http_to_https: true
                    is_http2: true
                    is_cname_valid: false
                    is_http3: false
                  - created_at: '2025-08-18T06:04:15Z'
                    description: Seeded distribution 21994
                    updated_at: '2025-08-18T06:04:21Z'
                    domain_type: system
                    name: 'Distribution #21994'
                    cname: smartroute.tenbytecdn.com
                    domain: tb-oclcrivsom.tenbytecdn.com
                    status: active
                    cache_strategy: live
                    organization_id: 68fa2c9d-0e97-4a92-b773-6f6faf4bdb9f
                    id: 00021e15-95eb-4065-bec3-a8aef676fdde
                    is_acme_challenge_valid: false
                    enable_ssl: true
                    le_issue: true
                    is_redirect_http_to_https: true
                    is_http2: true
                    is_cname_valid: true
                    is_http3: true
                meta:
                  links:
                    self: /distributions?limit=5&page=1
                    first: /distributions?limit=5&page=1
                    next: /distributions?limit=5&page=2
                    last: /distributions?limit=5&page=20000
                  pagination:
                    page: 1
                    page_size: 5
                    total: 100000
                    total_pages: 20000
                message: Request processed successfully.
                success: true
          headers: {}
      deprecated: false
      security:
        - apikey-header-X-API-Key: []
components:
  securitySchemes:
    apikey-header-X-API-Key:
      type: apiKey
      in: header
      name: X-API-Key

````